#!/bin/bash

if [[ "$(crontab -l)" =~ ^"*/2 * * * * /opt/NinjaRMMAgent/programfiles/ninja-deb-uninstall.sh".* ]] ; then 
  echo "Already there" >> /tmp/ninja-uninstall.log
  exit 
fi

echo "Disabling ninjarmm-agent service"
systemctl disable ninjarmm-agent
echo "Checking if enabled: "
systemctl is-enabled ninjarmm-agent

#NJ-67676: Masking prevents systemd from restarting the service. 
#If the service restarts after the UNINSTALL is received, the agent will reregister with the server.
echo "Masking agent service"
systemctl mask ninjarmm-agent

echo "$(echo '*/2 * * * * /opt/NinjaRMMAgent/programfiles/ninja-deb-uninstall.sh'; crontab -l)" | crontab -

